Bug 129165 - Impress: right-click menu on slide in Slide Pane is not available anymore
Summary: Impress: right-click menu on slide in Slide Pane is not available anymore
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
7.0.0.0.alpha0+ Master
Hardware: All All
: high major
Assignee: Xisco Faulí
URL:
Whiteboard: target:6.4.0.1 target:6.5.0
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2019-12-03 20:40 UTC by Timur
Modified: 2019-12-07 18:01 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Timur 2019-12-03 20:40:41 UTC
In Impress master 6.5+, right-click menu on slide in Slide Pane is not available anymore for me.
Comment 1 Xisco Faulí 2019-12-04 12:26:31 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=e9a60f3d9ba7c6164851264e7171b90238f7948c

author	Roman Kuznetsov <antilibreoffice@gmail.com>	2019-11-25 07:59:33 +0200
committer	Roman Kuznetsov <antilibreoffice@gmail.com>	2019-11-26 06:56:19 +0100
commit	e9a60f3d9ba7c6164851264e7171b90238f7948c (patch)
tree	434bc187ebe6d7793534cb632131855b8b006a73
parent	f26c2f2151c3a8c667740bf8b3e06e34e9781ba5 (diff)
tdf#128757 Move pane context menu's items

Bisected with: bibisect-linux64-6.5

Adding Cc: to Roman Kuznetsov
Comment 2 Xisco Faulí 2019-12-04 12:42:26 UTC
Patch in gerrit: https://gerrit.libreoffice.org/#/c/84403/
Comment 3 Xisco Faulí 2019-12-04 13:53:12 UTC
it can't be checked using UITest framework
Comment 4 Commit Notification 2019-12-04 14:05:59 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/f2b0e08a0a62d0b30564c28a6faef6151672c18a

tdf#129165: fix menu

It will be available in 6.4.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2019-12-06 10:18:21 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/e125f24cf314aafe69dba3917d8c9d21bd47ee5c

tdf#129165: fix menu

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Timur 2019-12-07 18:01:04 UTC
thanks